<?php
declare(strict_types=1);

namespace WPDesk\ShopMagicCart\Admin;

use ShopMagicCartVendor\WPDesk\PluginBuilder\Plugin\Hookable;

final class Admin implements Hookable {

	/** @var string */
	private $assets_url;

	/** @var string */
	private $plugin_version;

	public function __construct( string $plugin_url, string $plugin_version ) {
		$this->assets_url     = $plugin_url . '/assets';
		$this->plugin_version = $plugin_version;
	}

	/** @return void */
	public function hooks() {
		add_action( 'admin_enqueue_scripts', [ $this, 'admin_scripts' ] );
	}

	/** @return void */
	public function admin_scripts() {
		wp_enqueue_style(
			'shopmagic-cart-admin',
			$this->assets_url . '/css/admin.css',
			[],
			$this->plugin_version
		);
	}
}
