<?php
/**
 * @var \WPDesk\ShopMagicCart\Admin\CartsMenu\TableList $carts_table
 * @var \WPDesk\ShopMagicCart\Cart\CartStatistics $stats
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<div class="wrap">
	<h1 class="wp-heading-inline"><?php esc_html_e( 'Carts', 'shopmagic-abandoned-carts' ); ?></h1>

	<table class="wp-list-table widefat striped">
		<thead>
		<tr>
			<th><?php esc_html_e( 'Recoverable orders', 'shopmagic-abandoned-carts' ); ?></th>
			<th><?php esc_html_e( 'Recoverable revenue', 'shopmagic-abandoned-carts' ); ?></th>
			<th><?php esc_html_e( 'Recovered orders', 'shopmagic-abandoned-carts' ); ?></th>
			<th><?php esc_html_e( 'Recovered revenue', 'shopmagic-abandoned-carts' ); ?></th>
			<th><?php esc_html_e( 'Recovery rate', 'shopmagic-abandoned-carts' ); ?></th>
		</tr>
		</thead>

		<tbody>
		<tr>
			<?php
			$order_count     = $stats->get_recoverable_carts_count();
			$recovered_count = $stats->get_recovered_carts_count();
			$recovery_rate   = ( $order_count + $recovered_count === 0 ) ? 0 : round( $recovered_count / ( $order_count + $recovered_count ) * 100, 2 );
			?>
			<td><?php echo esc_html( (string) $order_count ); ?></td>
			<td><?php echo wp_kses_post( wc_price( $stats->get_recoverable_revenue() ) ); ?></td>
			<td><?php echo esc_html( (string) $recovered_count ); ?></td>
			<td><?php echo wp_kses_post( wc_price( $stats->get_recovered_revenue() ) ); ?></td>
			<td><?php echo esc_html( (string) $recovery_rate ); ?>%</td>
		</tr>
		</tbody>
	</table>

	<form method="GET" id="mainform" action="<?php echo esc_url( \WPDesk\ShopMagicCart\Admin\CartsMenu\ListMenu::get_url() ); ?>">
		<input type="hidden" name="post_type" value="shopmagic_automation"/>
		<input type="hidden" name="page" value="carts"/>

		<?php $carts_table->display(); ?>
	</form>
</div>
