<?php

namespace WPDesk\ShopMagicCart\HookEmitter;

use WPDesk\ShopMagic\Database\Abstraction\DAO\Collection;
use WPDesk\ShopMagic\Helper\WordPressFormatHelper;
use WPDesk\ShopMagic\HookEmitter\RecurringCleaner;
use WPDesk\ShopMagicCart\Cart\Cart;

/**
 * Cleans cart table on recurrent manner.
 */
final class CartExpiration extends RecurringCleaner {
	/**
	 * @return Collection<Cart>
	 * @throws \Exception
	 */
	protected function get_items_to_clean(): Collection {
		$cut_time = ( new \DateTimeImmutable( 'now', wp_timezone() ) )
			->modify( RecurringCleaner::DEFAULT_EXPIRATION_TIME );

		return $this->table->get_all(
			[
				[
					'field'     => 'last_modified',
					'condition' => '<=',
					'value'     => WordPressFormatHelper::datetime_as_mysql( $cut_time ),
				],

			]
		);
	}
}
